%define name	keynote
%define version	2.3
%define release	1mdk

%define lib_name_orig %mklibname keynote
%define lib_major 0
%define lib_name %lib_name_orig%lib_major


Summary:	KeyNote is a trust-management system
Name:		%{name}
Version:	%{version}
Release:	%{release}
License:	BSD
Group:		Networking/Other
Source:		http://www.cis.upenn.edu/~keynote/Code/%{name}-%{version}.tar.bz2
BuildRoot:	%{_tmppath}/%{name}-%{version}-root
URL:		http://www.cis.upenn.edu/~keynote/
BuildRequires:	openssl-devel
BuildRequires:	gmp-devel
BuildRequires:	flex
BuildRequires:	bison

%description
KeyNote is a simple and flexible trust-management system designed to work
well for a variety of large- and small-scale Internet-based applications.
It provides a single, unified language for both local policies and credentials.
KeyNote policies and credentials, called `assertions', contain predicates that
describe the trusted actions permitted by the holders of specific public keys.


%package -n %lib_name-devel
Summary:	KeyNote files for development
Group:		Development/Other
Provides:	keynote-devel

%description -n %lib_name-devel
This package contains the C header, the static library and man page
for development with KeyNote.


%prep
%setup -q


%build
%configure
make

%install
[ -n "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != / ] && rm -rf $RPM_BUILD_ROOT
mkdir -p %{buildroot}{%{_bindir},%{_includedir},%{_libdir},%{_mandir}/man1,%{_mandir}/man3,%{_mandir}/man4,%{_mandir}/man5}
install -s -m 0755 keynote %{buildroot}%{_bindir}/
install -s -m 0644 keynote.h %{buildroot}%{_includedir}/
install -s -m 0644 libkeynote.a %{buildroot}%{_libdir}/
install -s -m 0644 man/keynote.1 %{buildroot}%{_mandir}/man1
install -s -m 0644 man/keynote.3 %{buildroot}%{_mandir}/man3
install -s -m 0644 man/keynote.4 %{buildroot}%{_mandir}/man4
install -s -m 0644 man/keynote.5 %{buildroot}%{_mandir}/man5

# fix permissions
chmod 0644 HOWTO.add.crypto LICENSE README TODO doc/*

%clean
[ -n "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != / ] && rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc LICENSE README TODO doc/*
%{_bindir}/keynote
%{_mandir}/man1/*
%{_mandir}/man4/*
%{_mandir}/man5/*

%files -n %lib_name-devel
%defattr(-,root,root)
%doc HOWTO.add.crypto
%{_includedir}/keynote.h
%{_libdir}/libkeynote.a
%{_mandir}/man3/*

%changelog
* Sat Dec 25 2004 Marcel Pol <mpol@mandrake.org> 2.3-1mdk
- initial mandrake release

